Delaying Auto-Updates for Managed WordPress


Browse by products and services

  • Applies to: Premium WordPress (Legacy), WordPress Hosting Pro, Elite, and Extended
    • Difficulty: Easy
    • Time Needed: 10
    • Tools Required: Managed WordPress control panel access

Overview

Managed WordPress includes automatic updates to your core WordPress installation files. This guide will show you how to delay auto-updates for up to 30 days. Click here to see more information about the different Managed WordPress plans.

Requirements

If you choose to delay automatic updates, you will have 30 days to test the new WordPress version on your site before your production site is updated. You can either update each site manually during the 30 days or your sites will be updated automatically on day 30 after the update became available on the Managed WordPress platform (which can be up to 24 hours after the release of the update).

Please note: This feature applies only to major releases (such as 4.2 or 4.3), not minor releases (4.2.2 or 2.3.1) which often include minor security patches.

Delaying Updates

To delay automatic updates, simply set the "Delay updates for 30 days" option in your Managed WordPress control panel to ON:

Testing

The new version of WordPress can be tested by using one of your staging sites. Every new staging site will be created on the new version, so you can simply create a new staging site to test. Click here to learn more about your Managed WordPress' staging sites feature.

If you have an existing staging site, you will first have to update the staging site to the new version, then you can test and update.

Updating

Each staging or production site that is not currently on the latest available version will display the following banner at the top of the page:

The banner will link to the update page.

Please note that the option to sync a site from staging to production will be unavailable if the staging and production sites are on different versions, so you will have to update your sites to the same version before they can be synced.